Gmagick::setimagebordercolor
Gmagick::setimagecolorspace
Gmagick
PHP Manual

# Gmagick::setimagechanneldepth

(PECL gmagick >= Unknown)

Gmagick::setimagechanneldepth — Sets the depth of a particular image channel

### Description

public void Gmagick::setimagechanneldepth ( int `$channel` , int `$depth` )

Sets the depth of a particular image channel.

### Parameters

`channel`

  Identify which channel to extract: RedChannel, GreenChannel, BlueChannel, OpacityChannel, CyanChannel, MagentaChannel, YellowChannel, BlackChannel.

`depth`

  The image depth in bits.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::setimagebordercolor
Gmagick::setimagecolorspace
Gmagick
PHP Manual